petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearchSetMonitor

Turns on/off printing useful information and debugging output about the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetMonitor(SNESLineSearch linesearch, PetscBool flg)

### Input Parameters

| snes | - nonlinear context obtained from SNESCreate()
| flg | - PETSC_TRUE to monitor the line search

Logically Collective on SNES

### Options Database

-snes_linesearch_monitor -enables the monitor

### See Also

SNESLineSearchGetMonitor(), PetscViewer

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages